Episode #125 of the Stack Overflow podcast is here. We talk Tilde Club and mechanical keyboards. Listen now

Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source. This is usually done using your system's package manager.

Filter by
Sorted by
Tagged with
1
vote
1answer
118 views

Sudo installation problems

I just downloaded Debian 9.6.0 from osboxes to run it on a VM. However, I ran into a few problems. I can't sudo. Ok, you have to install it first. No problems... I thought. Turns out, there are a few ...
3
votes
0answers
152 views

Unable to find relevant linux headers

I am going through the steps to be able to use my Wacom tablet (CTL-6100WL) and I am to the point where I am installing the linux headers however this happens. (xenial)grace@localhost:~$ uname -r 3....
1
vote
2answers
61 views

Is it possible to add compile options to an already-installed program?

If I have installed a program from source (.tar.gz) using ./configure, make, make install – and then later on, want to add a build option (not sure the proper terminology – compile option?), is this ...
0
votes
0answers
238 views

How to install SDL on Ubuntu and use in Codeblocks?

I want to use and learn SDL (Simple DirectMedia Layer). How do I install SDL on Ubuntu and how to use it in Codeblocks?
0
votes
0answers
128 views

When I try to configure RStudio for installation on Linux Mint I get a libcurl error

I'm trying to install the newest versions of R and RStudio on Linux Mint version Sylvia, and it seems I also have some Ubuntu repositories on version Xenial. I have tried using the package manager ...
1
vote
3answers
397 views

What's the advantage of mere Ansible on mere shell-scripting if one doesn't use communally-maintained Ansible-Galaxy roles? [closed]

I establish a LAMP with a few extras on a remote Debian machine with a similar shell (Bash) script: #/bin/bash apt update -y apt upgrade ufw sshguard unattended-upgrades wget curl git zip unzip tree ...
0
votes
1answer
313 views

How to install Composer with Ansible?

In Bash I usually install Composer this way: curl -sS https://getcomposer.org/installer -o composer-setup.php php composer-setup.php --install-dir=/usr/local/bin --filename=composer I tried to read ...
0
votes
1answer
477 views

conflict dependencies manjaro-hello and manjaro-hello-dev are in conflict

recently I installed Manjaro Xfce but I'm having a problem with some dependencies.I cannot perform update for my OS and is giving an error: conflict dependencies manjaro-hello and manjaro-hello-dev ...
2
votes
1answer
222 views

Dealing with NixOS missing dependency ~ libpng-dev

Moving away from an OS like Arch where packages are mostly available, how does one deal with a missing dev dependency like libpng-dev? I have an issue with a Node package dependency - pngquant-bin. ...
0
votes
0answers
96 views

Command to install works in ubuntu 18.04 but not 14.04

I am trying to install some software in an old version of Linux (the updated software for 18.04 is unstable, the older version seems to be better). However, the code I used way back to install the ...
-1
votes
1answer
817 views

How do I install linux “header” files for virtual machines?

I installed virtualbox on my desktop running Debian 9 and I downloaded a virtual machine file that I imported into virtualbox. The problem is when I try to start the VM it tells me to run '/sbin/...
0
votes
1answer
431 views

Solaris 11.3 - Unable to install system/header

I'm (unsuccessfully) trying to get GCC installed on Solaris 11.3 but am running into a lot of issues. My current issue is that I'm unable to install the package "pkg://solaris/system/header". ...
1
vote
1answer
37 views

Debian: installed application via flatpak, runs from search bar, missing from cmd line

I have installed razerCommander via flatpak on Debian 9.0. If I press the "windows" key on the keyboard and search for razerCommander, the application appears and runs when clicked (so it functions ...
-1
votes
2answers
560 views

How to install specific version of debian linux package CUPS?

I'm trying to install specific version ( 2.2.1-8+deb9u2 ) of CUPS package in debian:stretch-slim linux. But it is giving me the following error. $apt install -y cups=2.2.1-8+deb9u2 Reading package ...
1
vote
2answers
2k views

/bin/sh: clang++: command not found

I use Debian 5. I was building GN. I followed the instruction provided here. I was executing these commands: git clone https://gn.googlesource.com/gn cd gn python build/gen.py ninja -C out While ...
0
votes
1answer
248 views

configure: error: no acceptable C compiler found in $PATH error on Debian 5 while installing Python

I use Debian 5 and I had to update my GCC to 4.9.4. So I build and installed it by myself. Now I need to update Python but I can't to do that because I receive this error: configure: error: no ...
1
vote
3answers
2k views

Unable to install openssl-libs

I'm trying to install dotnet-sdk-2.1 but it's failing due to that fact that openssl-libs isn't found. I've tried manually installing it using yum, but to no avail. yum repolist
2
votes
2answers
2k views

sudo make install - what is being installed?

I have to run this cryptic block of code. git clone https://github.com/OpenICC/xcalib.git cd xcalib cmake CMakeLists.txt sudo make install The procedure I'm following mentions the uninstall process. ...
1
vote
2answers
50 views

Is it trivial to compile standard Intel Debian programs to Arm?

Is it trivial to compile standard Intel Debian programs to Arm? Am I simplifying this process? Take any of my favorite programs (R Studio, Sublime Text, Peek, etc.) Find the source code on GitHub or ...
0
votes
1answer
667 views

Binary file not executable

I'm trying to install a program, with extension *.linux64. I'm using a linux machine with x86-64 architecture. However, when I run ./program.linux64, I receive: ./program.linux64: Exec format error. ...
0
votes
2answers
181 views

Why does the update command display the same ppa?

I was installing the Atom text editor on Ubuntu 18.04.1 LTS Bionic Beaver using the command:- sudo apt-get install atom I stopped the installation process and now whenever I run the command:- sudo ...
2
votes
1answer
5k views

Cant' install xrdp on CentOS 7.5

cat /etc/os-release NAME="CentOS Linux" VERSION="7 (Core)" ID="centos" ID_LIKE="rhel fedora" VERSION_ID="7" PRETTY_NAME="CentOS Linux 7 (Core)" ANSI_COLOR="0;31" CPE_NAME="cpe:/o:centos:centos:7" ...
0
votes
1answer
2k views

Fedora 29 VirtualBox Installation Malfunction

The only Fedora 29 specific instructions that I found are at this link: https://www.if-not-true-then-false.com/2010/install-virtualbox-guest-additions-on-fedora-centos-red-hat-rhel/ Since that link ...
1
vote
2answers
860 views

How do you run wine in Alpine Linux?

I installed the wine package but it didn't work: apk update && apk add wine && wine /bin/sh: wine: not found
0
votes
1answer
37 views

Which packages are installed with the Ubuntu minimal server option?

Which packages are installed with the Ubuntu minimal server option (e.g. on 16.04, Xenial)? Is the minimal server installation congruent with the packages listed in: https://packages.ubuntu.com/...
3
votes
1answer
226 views

How to pass parameters for Debian installer (.deb)

I am developing a specialized Unix application that has the Debian installer (.deb). It needs to get few simple string values during installation. These values must be picked by the post-install bash ...
-1
votes
1answer
394 views

Trying to install Image package on Octave 4.4.1

I am using the following version of linux. e130167@instance-1:~$ lsb_release -a No LSB modules are available. Distributor ID: Debian Description: Debian GNU/Linux 9.6 (stretch) Release: 9.6 ...
3
votes
1answer
727 views

How to install octave 4.2.0 on my machine?

How can I install octave 4.2.0 or latest ? I have tried https://askubuntu.com/questions/945517/installing-latest-version-of-gnu-octave-when-i-have-already-installed-other-vers does not give flathub ...
2
votes
1answer
696 views

How to setup swift in Ubuntu 18.10?

I like to try swift in combination with Eclipse + Tifig. I tried several ways: snap: snap install swift swift 4.0.3 from luis.nando (lf-araujo) installed swift /snap/swift/5/bin/swift: error while ...
1
vote
1answer
423 views

PackageKit in suse Tumbleweed: disable or removal?

I have found that PackageKit is messing with the manual updates so to avoid this the process is killed. But I whish to disable or removal this program (since I do all the updates manually), but will ...
1
vote
1answer
83 views

APT source.list issue

I'm working on a Debian 6.0 server where I think the repo was wrong on the server. deb http://ftp.uk.debian.org/debian/ stable main deb-src http://ftp.uk.debian.org/debian/ stable main I compared a ...
0
votes
1answer
49 views

How can I find out which repository a given installed program was installed from?

apt can automatically check if an installed program has update in the repository from which it was installed. How can I find out which repository a given installed program was installed from? Thanks....
0
votes
1answer
954 views

Initialize program in bashrc

I am in the process of installing Anaconda in Debian. Then I get the following prompt: ... installation finished. Do you wish the installer to initialize Anaconda3 in your /home/isnani/.bashrc ? [yes|...
0
votes
2answers
331 views

I can not reinstall MySQL because it keeps the old password

I did the uninstallation of mysql with this comand: sudo apt-get remove --purge mysql* sudo apt-get purge mysql* sudo apt-get autoremove sudo apt-get autoclean sudo apt-get remove dbconfig-mysql sudo ...
7
votes
1answer
370 views

How to suppress a message from a program while installing it to use in a bash program? [duplicate]

PROBLEM: I have a program written in bash that does a lot of stuff like install new software on the system. One of the programs it installs has an extravagant message appear where you get some info ...
0
votes
1answer
673 views

Package 'bind9' has no installation candidate

I'm tying to install dns sever on ubuntu 14 , I get the error (Package 'bind9' has no installation candidate) and the get update command is not woking
1
vote
2answers
21k views

E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution)

I am using debian 9.I tried to install the tex application, but it didn't work. Now I can't install any other application in my Debian machine. root@debian:/etc/apt# apt-get install tuxpaint Reading ...
0
votes
2answers
173 views

List files installed with makepkg

I'm still fairly new to arch and I tried installing lemonbar while customizing my system. Now I've only ever installed AUR packages with makepkg -Si and it worked very well most of the time since all ...
1
vote
1answer
5k views

Package 'openjdk-7-jre' has no installation candidate

I am trying to download XDM(xtreme download manager) on Ubuntu which requires openjdk-6-jre and openjdk-7-jre. But I couldn't install it: sudo apt-get install openjdk-7-jre Reading package lists... ...
1
vote
1answer
344 views

Install directories recursively with GNU install

If I have a tree of files, under say /usr/share/appname/, how can I install them all recursively with GNU install and mode 644? I'm assuming that I'll first need to have install create the ...
-1
votes
1answer
4k views

How to install tmux on Centos?

When I execute yum install tmux, it gives me an error: Setting up Install Process No package tmux available. Error: Nothing to do Any idea on how to solve this issue?
-2
votes
1answer
281 views

How to install wine on ubuntu?

I'm struggling with installing WIne on fresh Description: Ubuntu 18.04.1 LTS 404 Not Found [IP: 91.189.*.* 80] :3 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease E: The repository 'http:...
1
vote
0answers
688 views

How to play streaming video from sites like HBO that require a Windows environment?

This query is actually a double duplicate. I initially queried several months ago, and I'm repeating this updated query in the hopes that things have changed. I recently posted a related query that ...
0
votes
1answer
46 views

Installing blender on linux doesn't respond?

I downloaded an older version of blender (2.76b). I Unpacked the archive, then I ran the Blender executable. I have Linux Mint. This message appears: Unknown file type The file "blender" has ...
0
votes
1answer
76 views

Installing Sage, when as root it complains, when not as root it complains

I just downloaded the tarball for Sage from here: http://mirrors.mit.edu/sage/linux/64bit/index.html I then unzipped it with bunzip2 which created a folder /SageMath so I cd into that. Then I run ...
2
votes
2answers
752 views

How do I install Redshift 1.12 on Linux Mint 19 Cinnamon from source?

Redshift packages which are available in most distributions are dated 2016-01-02, which is > 2.5 years ago. Like on my system - Linux Mint 19 Cinnamon 64-bit - there is only 1.11 version available: ...
0
votes
1answer
251 views

Can't extract files to opt folder [closed]

I'm having difficulty extracting clion into the opt folder. I'm in the proper folder, there are no typos, nothing seems to work. I've even tried using the GUI extractor and pointed to the opt folder ...
0
votes
0answers
98 views

How do I install proview in Debian?

I'd like to install the GNU software proview in one of my 2 computers running Debian. Unfortunately I'm unable to either install the binaries nor compile from source. For information, when I use ...
-2
votes
2answers
788 views

what's problem with this octave installation?

$ sudo apt-get install octave Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have ...
0
votes
3answers
359 views

Why does rpm -i <package> fail on a dependency that I have installed?

I tried installing the following package: [root@localhost ~]# rpm -i libmicrohttpd-0.9.22-1.el7.centos.x86_64.rpm But I got an error for failed dependencies: [root@localhost ~]# rpm -i ...